Moody’s strongly recommends that Risk Modeler and UnderwriteIQ tenants use the Platform APIs instead of the Risk Modeler APIs for all future projects. See Migrate to Plaform APIs.

Upload RDM

Imports results data into the RDM. Results may be imported from either a storage bucket on Amazon S3 or an RDM on Data Bridge.

Import results from storage bucket

If the importFromServer body parameter is undefined or false, imports results data previously uploaded to a storage bucket on Amazon S3.

In this use case, the required uploadId path parameter specifies the ID number the AWS task used to upload the RDM to a storage bucket on S3. Use the Get storage bucket URI operation to retrieve the uploadId.

The uploadId and rdmName body parameters are both required. (The uploadId must be specified both as a query parameter and as a body parameter.) The rdmName parameter specifies the name of the RDM into which the results data is imported.

{
    "uploadId": "345678",
    "rdmName": "my-rdm",
    "share": true,
    "importFromServer": false,
    "exposureSetId": "5f095210-a1e5-46e6-a55e-5f095210a1e5",
     "perspectiveFilter": [
          "GR"
     ]
}

The importFromServer body parameter, if specified, must be false.

The optional analysisFilter, tableFilter, and perspectiveFilter body parameters enable you to filter the results data imported into the RDM.

📷

Data Migration Recipe

This operation may be used in tandem with AWS APIs and other Risk Modeler API operations to manage the transfer of on-premise EDMs to the Intelligent Risk Platform. For step-by-step instructions, see Import RDMs.

Once the UPLOAD_RDM job is complete, data uploaded to the storage bucket is automatically deleted.

Import results from Data Bridge

If the importFromServer body parameter is true, imports results data from the specified RDM on Data Bridge.

In this use case, you must include a servername query parameter that specifies the name of the Data Bridge server instance that hosts the RDM.

The body must include three parameters. The uploadId body parameter identifies the name of an RDM on Data Bridge. The rdmName body parameter specifies the RDM metadata tag used for the imported analyses results. The importFromServer parameter must be specified as true.

{
    "uploadId": "my-rdm-on-databridge",
    "rdmName": "my-rdm",
    "share": true,
    "importFromServer": true,
    "exposureSetId": "5f095210-a1e5-46e6-a55e-5f095210a1e5",
     "perspectiveFilter": [
          "GR"
     ]
}

The uploadId must be specified both as a query parameter and as a body parameter.

The optional analysisFilter, tableFilter, and perspectiveFilter body parameters enable you to filter the results data imported into the RDM.

📷

Idemptopotent Operation

This operation supports idempotency by means of idempotency keys. To learn more, see Idempotent Requests.

Path Params
string
required

ID for AWS upload task or name of RDM on Data Bridge.

Query Params
string

Name of the server instance hosting the RDM. Required if importFromServer is true.

Body Params
string
required

ID for AWS upload task or name of RDM on Data Bridge.

string
required

User-friendly name to tag all imported results.

string

Filter results data by exposure set. If an EDM is specified, the operation only imports results data that is based on exposure data stored in the specified EDM.

analysisIdFilter
array of int32s

Filter results data by analysis result IDs. If specified, the operation imports the specified analysis results and ignores all others.

analysisIdFilter
tableFilter
array of strings

Filter results data by database table. If specified, the operation only imports results data that stored in that table.

tableFilter
perspectiveFilter
array of strings

Filter for selecting results data based on the financial perspectives used in calculating those results. Identified by a two-character string (e.g. GU GR, RG).

perspectiveFilter
string

ID number of exposure set. If specified, results data is added to the specified exposure set.

boolean

Indicates if the exposure set is shared with other groups.

boolean

If true, imports results data from the specified serverName query parameter. By default, false.

tagIds
array of int32s

List of data tag IDs.

tagIds
groups
array of strings

List of groups that may access the exposure set.

groups
Responses

UPLOAD_RDM job was added to the workflow engine queue for processing. Returns a URL in the Location header that enables you to track the status of the job e.g. /{host}/v1/workflows/100000. Send periodic HTTP GET requests to the URL for the job status. See Workflow Engine.

Language
Credentials
URL
LoadingLoading…
Response
Choose an example:
*/*
application/json